default:
    image: archlinux

variables:
    GIT_SUBMODULE_STRATEGY: recursive
    GIT_SUBMODULE_UPDATE_FLAGS: --remote

stages:
    - build
    - deploy

build:
    stage: build
    before_script:
        - pacman -Suy --noconfirm zola
    script:
        - zola build -o build
    artifacts:
        paths:
            - build/

deploy:
    rules:
        - if: ($CI_PIPELINE_SOURCE == "push" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH)
        - if: $CI_PIPELINE_SOURCE == "pipeline"
    stage: deploy
    before_script:
        - pacman -Suy --noconfirm s3cmd
    script:
        - s3cmd -c s3cfg --verbose sync --exclude '*.css' -PM build/ s3://${CELLAR_BUCKET}/
        - s3cmd -c s3cfg --verbose sync --exclude '*' --include '*.css' -P -m text/css build/ s3://${CELLAR_BUCKET}/
